using System;
using UnityEngine;

[RequireComponent(typeof(UIInput))]
public class UIInputOnGUI : MonoBehaviour
{
	private const int KEY_LEFT = 28;

	private const int KEY_RIGHT = 29;

	private const int KEY_UP = 30;

	private const int KEY_DOWN = 31;

	[NonSerialized]
	private UIInput mInput;

	private void Awake()
	{
		mInput = GetComponent<UIInput>();
	}

	private void OnGUI()
	{
		if (Event.current.rawType == EventType.KeyDown)
		{
			mInput.ProcessEvent(Event.current);
		}
	}
}
